#!/bin/bash

# Descarrega la pàgina amb els dominis de Google
curl -s https://www.google.com/supported_domains > google_domains.txt

# IP a assignar als dominis: 
ip="216.239.38.120" # IP del domini forcesafesearch.google.com

# Llegeix el contingut del fitxer i busca els dominis amb l'expressió regular
while IFS= read -r line; do
    domain="$(echo $line | cut -c 2-)"
    echo -e "::ffff:$ip \t $domain www.$domain"
    echo -e "$ip \t $domain www.$line"
done < google_domains.txt
